/*
 *+------------------------------------------------------------------------+
 *| Licensed Materials - Property of IBM                                   |
 *| (C) Copyright IBM Corp. 2012.  All Rights Reserved.              |
 *|                                                                        |
 *| US Government Users Restricted Rights - Use, duplication or disclosure |
 *| restricted by GSA ADP Schedule Contract with IBM Corp.                 |
 *+------------------------------------------------------------------------+
 */
command {
   
   name "help"
   description "Displays a list of available commands, or if a command name is provided as an argument, help for that command."	 
	 contexts "console", "command", "commandLine"
	 
	 instance {
	    clazz "com.ibm.edp.console.core.internal.commands.HelpCommand"
	 }
	 
	 
	 arguments {
	     "Command Name" {
	        datatype "command"
	        optional true	     
	        description "If provided, help for the given command will be displayed."
	     }
	 }
}